---
title: Convenience Store - API Checkout
slug: en/nicepay-api-convenience-store-payment-api-checkout
description: Information about API Checkout - Payment for Convenience Store payment method provided by NICEPAY
image: https://archbee-image-uploads.s3.amazonaws.com/ZHvSjR5ZrsoxwKbJa3xmo/QrItxW5KD_ySGPDlHG4O5_microsoftteams-image.png
icon: {"faIcon":"fa-solid fa-credit-card"}
docTags: 
createdAt: 2022-12-19T10:12:10.000Z
---

# About Convenience Store - API Checkout&#x20;

***

This API uses by the Merchant to request payment to NICEPAY for the Convenience Store payment method using Checkout API.



# Flow Process

***

![CVS Payment Flow](https://app.archbee.com/api/optimize/ZHvSjR5ZrsoxwKbJa3xmo/UfP4TEy_tZh3bHthmsF8v_nicepay-archbee-payment-cvs-1-1.png "CVS Payment Flow")

Description of registration steps on CVS:

1. The Customer does checkout.
2. The Customer sends checkout data to the Merchant.
3. The Merchant registers checkout via API Registration with NICEPAY.
4. NICEPAY validates and generates the payment number.
5. NICEPAY sends the number that needs to be paid to the Merchant.
6. The Merchant sends the number that needs to be paid to the Customer.
7. The Customer receives the CVS payment number.
8. The Customer sends the CVS payment number to CVS.
9. CVS sends inquiry data to NICEPAY.
10. NICEPAY proceed with the inquiry request.
11. NICEPAY sends inquiry information to CVS.
12. The Customer makes a payment.
13. The Customer proceeds with a payment at CVS.
14. CVS proceed with the proof of payment.
15. CVS sends payment proof to the Customer.
16. CVS sends a notification to NICEPAY.
17. NICEPAY updated the status.
18. NICEPAY sends the notifications to Merchants.
19. The Merchant submits a status check to NICEPAY.
20. NICEPAY accepts applications.
21. NICEPAY sends a response to the Merchant.
22. The Merchant receives the final status.
23. The Merchant sends the results of the order to the Customer.



## NICEPAY Secure Payment Page Convenience Store

***

![Secure Payment Page](https://api.archbee.com/api/optimize/ZHvSjR5ZrsoxwKbJa3xmo/5EARwUJAR5medSH9j-vpw_image-en-nicepay-secure-payment-page-main-dashboard.jpg "Secure Payment Page")

The image above is a payment sample with the Convenience Store method using NICEPAY Secure Payment Page.

![Convenience Store - Secure Payment Page](https://api.archbee.com/api/optimize/ZHvSjR5ZrsoxwKbJa3xmo/bVGEnz3AkET3gSzH7Dshx_image-en-convenience-store-secure-payment-page.jpg "Convenience Store - Secure Payment Page")

After choosing the Convenience Store method, you will provide with Convenience Store (Indomaret & Alfamart) lists that can choose whether to continue the payment process.

![Success - Secure Payment Page](https://api.archbee.com/api/optimize/ZHvSjR5ZrsoxwKbJa3xmo/Odr26il9OmurJBRChIoGw_image-en-convenience-store-success-secure-payment-page.jpg "Success - Secure Payment Page")

The process of the payment registration request completes, you can continue the transaction process until settlement by following the guidelines on [CVS Payment Guide](docId\:lvLw5n6LoEVrEdpTXh0bq).



# API Checkout Transaction Payment

***

| **API URL**         | `/nicepay/redirect/v2/payment`&#xD;         |
| ------------------- | ------------------------------------------- |
| **Request Method**  | `Redirect-GET`                              |
| **Header**          | `Content-Type: application/Form-UrlEncoded` |



## Request Parameters for Convenience Store - API Checkout (CallbackUrl)

***

| **Parameter**                                             | **Type** | **Size** | **Description**           | **Remark**                                                  |
| --------------------------------------------------------- | -------- | -------- | ------------------------- | ----------------------------------------------------------- |
| `paymentURL`  <br /><font color="#2166ae">Required</font> | ANS      | 14       | Payment URL<br />Required | https\://dev.nicepay.co.id/nicepay/redirect/v2/payment&#xD; |
| `tXid` <br /><font color="#2166ae">Required</font>        | AN       | 30       | Transaction ID	<br />     | IONPAYTEST00202212231106386098                              |



## Response Parameters for Convenience Store - API Checkout (CallbackUrl)

***



| **Parameter**                                 | **Type** | **Size** | **Description**                                             | **Remark**                                             |
| --------------------------------------------- | -------- | -------- | ----------------------------------------------------------- | ------------------------------------------------------ |
| `resultCd`                                    | N        | 4        | [Result Code](docId:9eC3yH9CQqpb6cRWauWWO)                  | 0000                                                   |
| `resultMsg`                                   | AN       | 255      | Result Message: [Error Code](docId\:FsX1GESJKxOp0T9rvUHp_)  | SUCCESS                                                |
| `tXid`                                        | AN       | 30       | Transaction ID	                                             | IONPAYTEST00202212231106386098<br /><br />When Success |
| `referenceNo`                                 | ANS      | 40       | Order Number                                                | ordNo20221223111252<br /><br />When Success            |
| `amt`                                         | N        | 12       | Transaction Amount                                          | 10000<br /><br />When Success                          |
| `payNo`<br /><font color="#2166ae">CVS</font> | N        | 20       | Payment Number                                              | 9041231106386098<br /><br />When Success               |
| `mitraCd`                                     | AN       | 4        | [Mitra Code](docId:0luP35KfOWksiSrzKx6yZ)                   | ALMA<br /><br />When Success                           |
| `transDt`                                     | N        | 8        | Transaction Date (`YYYYMMDD`)	                              | 20221223<br /><br />When Success                       |
| `transTm`                                     | N        | 6        | Transaction Time (`HH24MISS`)	                              | 110638<br /><br />When Success                         |

:::hint{type="info"}
Note: Response parameter will be sent through `callBackurl` with Content-type: `application/json` and method: `POST Parameter`.
:::


Sample Parameter for Convenience Store - API Checkout (CallbackUrl)
-------------------------------------------------------------------

***

:::hint{type="success"}
On the payment when Checkout, response from the request that got hit is Callback URL.
:::

### Request Parameter

:::CodeblockTabs
cURL

```curl
curl -X GET "https://www.merchant.com/callbackUrl?tXid=IONPAYTEST00202212231106386098&referenceNo=ordNo20221223111252&amount=10000&transDt=20221223&transTm=110638&payNo=9041231106386098&mitraCd=ALMA&resultCd=0000&resultMsg=SUCCESS"
```
:::

### Callback Parameter

:::CodeblockTabs
Response Callback

```curl
tXid=IONPAYTEST00202212231106386098
referenceNo=ordNo20221223111252
amount=10000
transDt=20221223
transTm=110638
payNo=9041231106386098
mitraCd=ALMA
resultCd=0000
resultMsg=SUCCESS
```
:::



## CallBack Handling API Checkout Payment

***

:::hint{type="success"}
When Callback received to your `callbackUrl`, we strongly recommend Merchant to verify the Status by using [Status Inquiry - API Checkout](docId\:RhH7PmISd6IHN99yWVJHm).
:::

:::hint{type="warning"}
`Callback Handling` is necessary to minimize Fraud actions. We strongly recommend Merchant to verify using `Callback parameter`.
:::

::Image[]{src="https://api.archbee.com/api/optimize/ZHvSjR5ZrsoxwKbJa3xmo/hB3AyDaMVCRKhlIgcs-V4_nicepay-api-checkout-api-callback-handling-flow-1.png" size="60" isUploading="false" position="center" caption="Callback Handling Flow" width="370" height="361" darkWidth="370" darkHeight="361" showCaption="true" alt="Callback Handling Flow"}

:::CodeblockTabs
URL Callback

```json
"callbackUrl" : "https://www.merchant.com/callbackUrl/"
```

Response Callback

```json
tXid:CVSNORMAL000202212211000494698
referenceNo:OrdNo-20221221101233
amount:10000
transDt:20221221
transTm:100049
payNo:504100002557
mitraCd:ALMA
resultCd:0000
resultMsg:SUCCESS
```
:::

